//+------------------------------------------------------------------------
//
//  Copyright @ Baris TAZE
//
//  File:     Bit.h
//
//  Content:  Interface for CBit class
//  
//  Classes:  CBit
//            
//  History:  27-May-2002    created by baris taze .  
//
//-------------------------------------------------------------------------

#if !defined(__BIT_H__)
#define      __BIT_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CBit  
{
public:
	CBit();
	CBit( bool bValue );
	~CBit();

	virtual bool IsEqual( CBit* pBit );

	void SetValue( bool bValue );
	bool GetValue( );
	void Lock();
	void Unlock();
	bool IsLocked();
	void Mutate();
	CString ToString();

private: 
	bool m_bValue;
	bool m_bLocked;
};

#endif // !defined(__BIT_H__)
